
import 'dart:async';
import 'dart:convert';

import 'package:flutter/services.dart';
import 'models/IdentificationParameters.dart';
import 'models/IdentificationResult.dart';

class AuthenteqFlow {
  static const MethodChannel _channel = MethodChannel('authenteq_flow');

  static Future<String> get getVersion async {
    final String version = await _channel.invokeMethod('getVersion');
    return version;
  }

  static Future<IdentificationResult> identification(IdentificationParameters parameters) async {
    final dynamic result = await _channel.invokeMethod('identification', <String, dynamic>{
      'clientId': parameters.clientId,
      'clientSecret': parameters.clientSecret,
      'token': parameters.token,
      'theme': parameters.theme
    });
    return IdentificationResult.fromMap(result);
  }
}
